Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOptionTab.TabPosition

    java.lang.Object
      java.lang.Enum<QStyleOptionTab.TabPosition>
          com.trolltech.qt.gui.QStyleOptionTab.TabPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOptionTab.TabPosition>

Enclosing class:
  QStyleOptionTab

    public static enum QStyleOptionTab.TabPosition

extends java.lang.Enum<QStyleOptionTab.TabPosition>
implements QtEnumerator

This enum describes the position of the tab.

See Also:
  position

Enum Constant Summary
`Beginning` The tab is the first tab in the tab bar.
`End` The tab is the last tab in the tab bar.
`Middle` The tab is neither the first nor the last tab in the tab bar.
`OnlyOneTab` The tab is both the first and the last tab in the tab bar.

Method Summary
`static QStyleOptionTab.TabPosition` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionTab.TabPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOptionTab.TabPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Beginning

    public static final QStyleOptionTab.TabPosition Beginning

  The tab is the first tab in the tab bar.

### Middle

    public static final QStyleOptionTab.TabPosition Middle

  The tab is neither the first nor the last tab in the tab bar.

### End

    public static final QStyleOptionTab.TabPosition End

  The tab is the last tab in the tab bar.

### OnlyOneTab

    public static final QStyleOptionTab.TabPosition OnlyOneTab

  The tab is both the first and the last tab in the tab bar.

Method Detail

### values

    public static final QStyleOptionTab.TabPosition[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOptionTab.TabPosition c : QStyleOptionTab.TabPosition.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOptionTab.TabPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionTab.TabPosition resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD